Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex BareMetal
    • All guides
    • Overview
    • Integrating with other Yandex Cloud services
      • Overview
      • Stock server configurations
      • Custom server configuration
      • On-request server configuration
      • Overview
      • Public network
      • Private network
      • DHCP
      • MC-LAG
      • Restrictions in BareMetal networks
      • Overview
      • Images
      • Access management
      • Additional server settings
      • Management console
        • API authentication
          • Overview
            • Overview
            • Get
            • List
            • Create
            • Update
            • Delete
      • Monitoring metrics
    • Quotas and limits
  • Pricing policy
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. Concepts
  2. Setup and management
  3. API reference
  4. REST
  5. PrivateCloudConnection
  6. Get

BareMetal API, REST: PrivateCloudConnection.Get

Written by
Yandex Cloud
Updated at April 21, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the specific Private cloud connection resource.
To get the list of available Private cloud connection resources, make a List request.

HTTP requestHTTP request

GET https://baremetal.api.cloud.yandex.net/baremetal/v1alpha/privateCloudConnections/{privateCloudConnectionId}

Path parametersPath parameters

Field

Description

privateCloudConnectionId

string

Required field. ID of the Private cloud connection resource to return.
To get the server ID, use a PrivateCloudConnectionService.List request.

The maximum string length in characters is 20. Value must match the regular expression [a-z][a-z0-9.-]*.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "folderId": "string",
  "cloudId": "string",
  "routingInstanceId": "string",
  "vrfId": "string",
  "status": "string",
  "name": "string",
  "createdAt": "string"
}

A Private cloud connection resource.

Field

Description

id

string

ID of the private cloud connection.

folderId

string

ID of the folder that the private cloud connection belongs to.

cloudId

string

ID of the cloud that the private cloud connection belongs to.

routingInstanceId

string

ID of Cloud Router Routing Instance.

vrfId

string

ID of VRF that is connected to routing Instance.

status

enum (Status)

Status of the private cloud connection.

  • CREATING: Private cloud connection is waiting for network resources to be allocated.
  • READY: Private cloud connection is ready to use.
  • ERROR: Private cloud connection encountered a problem and cannot operate.
  • DELETING: Private cloud connection is being deleted.
  • UPDATING: Private cloud connection is being updated.

name

string

Name of the private cloud connection.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.